Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class MethodTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.MethodTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodType<T>

    public class MethodTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodType<T>

This class implements the `methodType` xsd type

Original Documentation:

The method element is used to specify attributes for one method or all
those matching a pattern startingstring*.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`java.lang.String` | `getTransactionTimeout()` Returns the `transaction-timeout` element
`java.lang.Boolean` | `isIdempotent()` Returns the `idempotent` element
`java.lang.Boolean` | `isReadOnly()` Returns the `read-only` element
`MethodType<T>` | `removeIdempotent()` Removes the `idempotent` element
`MethodType<T>` | `removeMethodName()` Removes the `method-name` element
`MethodType<T>` | `removeReadOnly()` Removes the `read-only` element
`MethodType<T>` | `removeTransactionTimeout()` Removes the `transaction-timeout` element
`MethodType<T>` | `setIdempotent(java.lang.Boolean idempotent)` If not already created, a new `idempotent` element with the given value will be created.
`MethodType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`MethodType<T>` | `setReadOnly(java.lang.Boolean readOnly)` If not already created, a new `read-only` element with the given value will be created.
`MethodType<T>` | `setTransactionTimeout(java.lang.String transactionTimeout)` If not already created, a new `transaction-timeout` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodTypeImpl

    public MethodTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### MethodTypeImpl

    public MethodTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setMethodName

    public MethodType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Specified by:
    `setMethodName` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### removeMethodName

    public MethodType<T> removeMethodName()

  Removes the `method-name` element

  Specified by:
    `removeMethodName` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### getMethodName

    public java.lang.String getMethodName()

  Returns the `method-name` element

  Specified by:
    `getMethodName` in interface `MethodType<T>`
  Returns:
    the node defined for the element `method-name`

### setReadOnly

    public MethodType<T> setReadOnly(java.lang.Boolean readOnly)

  If not already created, a new `read-only` element with the given value will be created. Otherwise, the existing `read-only` element will be updated with the given value.

  Specified by:
    `setReadOnly` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### removeReadOnly

    public MethodType<T> removeReadOnly()

  Removes the `read-only` element

  Specified by:
    `removeReadOnly` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### isReadOnly

    public java.lang.Boolean isReadOnly()

  Returns the `read-only` element

  Specified by:
    `isReadOnly` in interface `MethodType<T>`
  Returns:
    the node defined for the element `read-only`

### setIdempotent

    public MethodType<T> setIdempotent(java.lang.Boolean idempotent)

  If not already created, a new `idempotent` element with the given value will be created. Otherwise, the existing `idempotent` element will be updated with the given value.

  Specified by:
    `setIdempotent` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### removeIdempotent

    public MethodType<T> removeIdempotent()

  Removes the `idempotent` element

  Specified by:
    `removeIdempotent` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### isIdempotent

    public java.lang.Boolean isIdempotent()

  Returns the `idempotent` element

  Specified by:
    `isIdempotent` in interface `MethodType<T>`
  Returns:
    the node defined for the element `idempotent`

### setTransactionTimeout

    public MethodType<T> setTransactionTimeout(java.lang.String transactionTimeout)

  If not already created, a new `transaction-timeout` element with the given value will be created. Otherwise, the existing `transaction-timeout` element will be updated with the given value.

  Specified by:
    `setTransactionTimeout` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### removeTransactionTimeout

    public MethodType<T> removeTransactionTimeout()

  Removes the `transaction-timeout` element

  Specified by:
    `removeTransactionTimeout` in interface `MethodType<T>`
  Returns:
    the current instance of `MethodType`

### getTransactionTimeout

    public java.lang.String getTransactionTimeout()

  Returns the `transaction-timeout` element

  Specified by:
    `getTransactionTimeout` in interface `MethodType<T>`
  Returns:
    the node defined for the element `transaction-timeout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD